
function [t,y] = ralston(fun,tidsintervall,y0,h)
t = tidsintervall(1):h:tidsintervall(2);
Nvar = length(y0);
Ntid = length(t);
y = zeros(Ntid,Nvar);
y(1,:) = y0;

for i = 1:Ntid-1
    K1 = fun(t(i),y(i,:)).';
    K2 = fun(t(i)+(2/3)*h,y(i,:)+(2/3)*h*K1).';
    y(i+1,:) = y(i,:) + ((1/4)*h).*(K1+3.*K2);
end